﻿/**Begin D:\PDM_UPGRADE\PDM1\WTPM_constraint.sql **/

 EXEC P_ALTERPK 'PK_WTPM_CHECKCARD', 'T_WTPM_CHECKCARD', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_WTPM_CHECKCARD') CREATE INDEX IDX_WTPM_CHECKCARD ON T_WTPM_CHECKCARD ( FSHIFTDATE ,FATTPERSONID );


 EXEC P_ALTERPK 'PK_WTPM_CHECKCARDENTRY', 'T_WTPM_CHECKCARDENTRY', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_WTPM_CHECKCARDENTRY') CREATE INDEX IDX_WTPM_CHECKCARDENTRY ON T_WTPM_CHECKCARDENTRY ( FID );


 EXEC P_ALTERPK 'PK_WTPM_MULTICARD', 'T_WTPM_MULTICARD', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_WTPM_MULTICARD') CREATE INDEX IDX_WTPM_MULTICARD ON T_WTPM_MULTICARD ( FSHIFTDATE ,FATTPERSONID );


 EXEC P_ALTERPK 'PK_WTPM_MULTICARDENTRY', 'T_WTPM_MULTICARDENTRY', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_WTPM_MULTICARDENTRY') CREATE INDEX IDX_WTPM_MULTICARDENTRY ON T_WTPM_MULTICARDENTRY ( FID );


 EXEC P_ALTERPK 'PK_WTPM_ONCECARD', 'T_WTPM_ONCECARD', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_WTPM_ONCECARD') CREATE INDEX IDX_WTPM_ONCECARD ON T_WTPM_ONCECARD ( FSHIFTDATE ,FATTPERSONID );

/**End D:\PDM_UPGRADE\PDM1\WTPM_constraint.sql **/

/**Begin D:\PDM_UPGRADE\PDM1\WTPM_constraint.sql **/
EXEC P_ALTERPK 'PK_WTPM_SIGNCARDEXCPER', 'T_WTPM_SIGNCARDEXCPER', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_WTPM_SIGNCARDEXCPER') CREATE INDEX IDX_WTPM_SIGNCARDEXCPER ON T_WTPM_SIGNCARDEXCPER ( FENTRYID ,FBASEDATAID );


EXEC P_ALTERPK 'PK_WTPM_SIGNCARDORG', 'T_WTPM_SIGNCARDORG', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_WTPM_SIGNCARDORG') CREATE INDEX IDX_WTPM_SIGNCARDORG ON T_WTPM_SIGNCARDORG ( FID );


EXEC P_ALTERPK 'PK_WTPM_SUPSIGNEXCPER', 'T_WTPM_SUPSIGNEXCPER', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_WTPM_SUPSIGNEXCPER') CREATE INDEX IDX_WTPM_SUPSIGNEXCPER ON T_WTPM_SUPSIGNEXCPER ( FENTRYID ,FBASEDATAID );


EXEC P_ALTERPK 'PK_WTPM_SUPSIGNORG', 'T_WTPM_SUPSIGNORG', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_WTPM_SUPSIGNORG') CREATE INDEX IDX_WTPM_SUPSIGNORG ON T_WTPM_SUPSIGNORG ( FID );


EXEC P_ALTERPK 'PK_WTPM_SIGNCARDAPPLY', 'T_WTPM_SIGNCARDAPPLY', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_WTPM_SIGNCARDAPPLY') CREATE INDEX IDX_WTPM_SIGNCARDAPPLY ON T_WTPM_SIGNCARDAPPLY ( FBILLNO );


EXEC P_ALTERPK 'PK_WTPM_SUPSIGN', 'T_WTPM_SUPSIGN', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_WTPM_SUPSIGN') CREATE INDEX IDX_WTPM_SUPSIGN ON T_WTPM_SUPSIGN ( FBILLNO );


EXEC P_ALTERPK 'PK_WTPM_SIGNCARDEXTRA', 'T_WTPM_SIGNCARDEXTRA', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_WTPM_SIGNCARDEXTRA') CREATE INDEX IDX_WTPM_SIGNCARDEXTRA ON T_WTPM_SIGNCARDEXTRA ( FID );


EXEC P_ALTERPK 'PK_WTPM_SIGNCARDINFO', 'T_WTPM_SIGNCARDINFO', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_WTPM_SIGNCARDINFO') CREATE INDEX IDX_WTPM_SIGNCARDINFO ON T_WTPM_SIGNCARDINFO ( FBILLID );


EXEC P_ALTERPK 'PK_WTPM_SIGNCARDRANGEINFO', 'T_WTPM_SIGNCARDRANGEINFO', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_WTPM_SIGNCARDRANGEINFO') CREATE INDEX IDX_WTPM_SIGNCARDRANGEINFO ON T_WTPM_SIGNCARDRANGEINFO ( FID );


EXEC P_ALTERPK 'PK_WTPM_SUPSIGNBATCHINFO', 'T_WTPM_SUPSIGNBATCHINFO', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_WTPM_SUPSIGNBATCHINFO') CREATE INDEX IDX_WTPM_SUPSIGNBATCHINFO ON T_WTPM_SUPSIGNBATCHINFO ( FID );


EXEC P_ALTERPK 'PK_WTPM_SUPSIGNEXTRA', 'T_WTPM_SUPSIGNEXTRA', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_WTPM_SUPSIGNEXTRA') CREATE INDEX IDX_WTPM_SUPSIGNEXTRA ON T_WTPM_SUPSIGNEXTRA ( FID );


EXEC P_ALTERPK 'PK_WTPM_SUPSIGNINFO', 'T_WTPM_SUPSIGNINFO', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_WTPM_SUPSIGNINFO') CREATE INDEX IDX_WTPM_SUPSIGNINFO ON T_WTPM_SUPSIGNINFO ( FID );


EXEC P_ALTERPK 'PK_WTPM_SIGNCARDLIST', 'T_WTPM_SIGNCARDLIST', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_WTPM_SIGNCARDLIST') CREATE INDEX IDX_WTPM_SIGNCARDLIST ON T_WTPM_SIGNCARDLIST ( FBILLID );


EXEC P_ALTERPK 'PK_WTPM_SUPSIGNLIST', 'T_WTPM_SUPSIGNLIST', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_WTPM_SUPSIGNLIST') CREATE INDEX IDX_WTPM_SUPSIGNLIST ON T_WTPM_SUPSIGNLIST ( FBILLID );


/*EXEC P_ALTERPK 'PK_WTPM_SUPSIGNRESULT', 'T_WTPM_SUPSIGNRESULT', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_WTPM_SUPSIGNRESULT') CREATE INDEX IDX_WTPM_SUPSIGNRESULT ON T_WTPM_SUPSIGNRESULT ( FBILLID );
*/

EXEC P_ALTERPK 'PK_WTPM_SUPSIGNTASKLOG', 'T_WTPM_SUPSIGNTASKLOG', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_WTPM_SUPSIGNTASKLOG') CREATE INDEX IDX_WTPM_SUPSIGNTASKLOG ON T_WTPM_SUPSIGNTASKLOG ( FBILLID );


EXEC P_ALTERPK 'PK_WTPM_SIGNCARDTASKLOG', 'T_WTPM_SIGNCARDTASKLOG', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_WTPM_SIGNCARDTASKLOG') CREATE INDEX IDX_WTPM_SIGNCARDTASKLOG ON T_WTPM_SIGNCARDTASKLOG ( FBILLID );


EXEC P_ALTERPK 'PK_WTPM_SIGNCARDSUBTASK', 'T_WTPM_SIGNCARDSUBTASK', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_WTPM_SIGNCARDSUBTASK') CREATE INDEX IDX_WTPM_SIGNCARDSUBTASK ON T_WTPM_SIGNCARDSUBTASK ( FTASKID );


EXEC P_ALTERPK 'PK_WTPM_SUPSIGNTASK_L', 'T_WTPM_SUPSIGNTASK_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_WTPM_SUPSIGNTASK_L') CREATE INDEX IDX_WTPM_SUPSIGNTASK_L ON T_WTPM_SUPSIGNTASK_L ( FLOCALEID ,FID );


EXEC P_ALTERPK 'PK_WTPM_SIGNCARDTASKDETAIL', 'T_WTPM_SIGNCARDTASKDETAIL', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_WTPM_SIGNCARDTASKDETAIL') CREATE INDEX IDX_WTPM_SIGNCARDTASKDETAIL ON T_WTPM_SIGNCARDTASKDETAIL ( FSUBTASKID );


EXEC P_ALTERPK 'PK_WTPM_SIGNCARDTASK_L', 'T_WTPM_SIGNCARDTASK_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_WTPM_SIGNCARDTASK_L') CREATE INDEX IDX_WTPM_SIGNCARDTASK_L ON T_WTPM_SIGNCARDTASK_L ( FLOCALEID ,FID );


EXEC P_ALTERPK 'PK_WTPM_SUPSIGNEXDETAIL', 'T_WTPM_SUPSIGNEXDETAIL', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_WTPM_SUPSIGNEXDETAIL') CREATE INDEX IDX_WTPM_SUPSIGNEXDETAIL ON T_WTPM_SUPSIGNEXDETAIL ( FSUBTASKID );


EXEC P_ALTERPK 'PK_WTPM_SIGNCARDTASK', 'T_WTPM_SIGNCARDTASK', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_WTPM_SIGNCARDTASK') CREATE INDEX IDX_WTPM_SIGNCARDTASK ON T_WTPM_SIGNCARDTASK ( FTASKID );


EXEC P_ALTERPK 'PK_WTPM_SUPSIGNTASK', 'T_WTPM_SUPSIGNTASK', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_WTPM_SUPSIGNTASK') CREATE INDEX IDX_WTPM_SUPSIGNTASK ON T_WTPM_SUPSIGNTASK ( FTASKID );


EXEC P_ALTERPK 'PK_WTPM_SIGNCARDEXDETAIL', 'T_WTPM_SIGNCARDEXDETAIL', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_WTPM_SIGNCARDEXDETAIL') CREATE INDEX IDX_WTPM_SIGNCARDEXDETAIL ON T_WTPM_SIGNCARDEXDETAIL ( FSUBTASKID );


EXEC P_ALTERPK 'PK_WTPM_SUPSIGNTASKDETAIL', 'T_WTPM_SUPSIGNTASKDETAIL', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_WTPM_SUPSIGNTASKDETAIL') CREATE INDEX IDX_WTPM_SUPSIGNTASKDETAIL ON T_WTPM_SUPSIGNTASKDETAIL ( FSUBTASKID );


EXEC P_ALTERPK 'PK_WTPM_SUPSIGNSUBTASK', 'T_WTPM_SUPSIGNSUBTASK', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_T_WTPM_SUPSIGNSUBTASK') CREATE INDEX IDX_T_WTPM_SUPSIGNSUBTASK ON T_WTPM_SUPSIGNSUBTASK ( FTASKID );



/**End D:\PDM_UPGRADE\PDM1\WTPM_constraint.sql **/
