﻿/**Begin D:\PDM_UPGRADE\PDM1\WTPM_table.sql **/

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_WTPM_CHECKCARD') 
 CREATE TABLE T_WTPM_CHECKCARD (
FID BIGINT DEFAULT 0 NOT NULL,
FATTPERSONID BIGINT DEFAULT 0 NOT NULL,
FADMINORGID BIGINT DEFAULT 0 NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL,
FATTCARD VARCHAR(50) DEFAULT ' ' NOT NULL,
FSHIFTDATE DATETIME,
FSHIFTID BIGINT DEFAULT 0 NOT NULL,
FATTFILEID BIGINT DEFAULT 0 NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_WTPM_CHECKCARDENTRY') 
 CREATE TABLE T_WTPM_CHECKCARDENTRY (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FCHECKPOINT DATETIME,
FSOURCEID BIGINT DEFAULT 0 NOT NULL,
FADDRESS VARCHAR(255) DEFAULT ' ' NOT NULL,
FEQUIPMENT VARCHAR(100) DEFAULT ' ' NOT NULL,
FPOINTDESCID BIGINT DEFAULT 0 NOT NULL,
FACCESSTAG VARCHAR(10) DEFAULT ' ' NOT NULL,
FPOINTTAG VARCHAR(10) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_WTPM_MULTICARD') 
 CREATE TABLE T_WTPM_MULTICARD (
FID BIGINT DEFAULT 0 NOT NULL,
FATTPERSONID BIGINT DEFAULT 0 NOT NULL,
FADMINORGID BIGINT DEFAULT 0 NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL,
FATTCARD VARCHAR(50) DEFAULT ' ' NOT NULL,
FSHIFTDATE DATETIME,
FSHIFTID BIGINT DEFAULT 0 NOT NULL,
FATTFILEID BIGINT DEFAULT 0 NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_WTPM_MULTICARDENTRY') 
 CREATE TABLE T_WTPM_MULTICARDENTRY (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FEFFECTIVEPOINT DATETIME,
FSOURCEID BIGINT DEFAULT 0 NOT NULL,
FADDRESS VARCHAR(255) DEFAULT ' ' NOT NULL,
FEQUIPMENT VARCHAR(100) DEFAULT ' ' NOT NULL,
FMUSTPOINT DATETIME,
FPOINTDESCID BIGINT DEFAULT 0 NOT NULL,
FACCESSTAG VARCHAR(10) DEFAULT ' ' NOT NULL,
FPOINTTAG VARCHAR(10) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_WTPM_ONCECARD') 
 CREATE TABLE T_WTPM_ONCECARD (
FID BIGINT DEFAULT 0 NOT NULL,
FATTPERSONID BIGINT DEFAULT 0 NOT NULL,
FADMINORGID BIGINT DEFAULT 0 NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL,
FATTCARD VARCHAR(50) DEFAULT ' ' NOT NULL,
FSHIFTDATE DATETIME,
FSHIFTID BIGINT DEFAULT 0 NOT NULL,
FACCESSTAG VARCHAR(10) DEFAULT ' ' NOT NULL,
FONCEPOINT DATETIME,
FSOURCEID BIGINT DEFAULT 0 NOT NULL,
FADDRESS VARCHAR(255) DEFAULT ' ' NOT NULL,
FEQUIPMENT VARCHAR(100) DEFAULT ' ' NOT NULL,
FATTFILEID BIGINT DEFAULT 0 NOT NULL,
FPOINTTAG VARCHAR(10) DEFAULT ' ' NOT NULL,
FONCERANGE VARCHAR(10) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME
);

/**End D:\PDM_UPGRADE\PDM1\WTPM_table.sql **/

/**Begin D:\PDM_UPGRADE\PDM1\WTPM_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_WTPM_SIGNCARDEXCPER')
CREATE TABLE T_WTPM_SIGNCARDEXCPER (
                                       FPKID BIGINT DEFAULT 0 NOT NULL,
                                       FENTRYID BIGINT DEFAULT 0 NOT NULL,
                                       FBASEDATAID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_WTPM_SIGNCARDORG')
CREATE TABLE T_WTPM_SIGNCARDORG (
                                    FENTRYID BIGINT DEFAULT 0 NOT NULL,
                                    FSEQ INT DEFAULT 0 NOT NULL,
                                    FORGTYPE VARCHAR(20) DEFAULT ' ' NOT NULL,
                                    FORGCLASSID BIGINT DEFAULT 0 NOT NULL,
                                    FID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_WTPM_SUPSIGNEXCPER')
CREATE TABLE T_WTPM_SUPSIGNEXCPER (
                                      FPKID BIGINT DEFAULT 0 NOT NULL,
                                      FENTRYID BIGINT DEFAULT 0 NOT NULL,
                                      FBASEDATAID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_WTPM_SUPSIGNORG')
CREATE TABLE T_WTPM_SUPSIGNORG (
                                   FENTRYID BIGINT DEFAULT 0 NOT NULL,
                                   FSEQ INT DEFAULT 0 NOT NULL,
                                   FORGTYPE VARCHAR(20) DEFAULT ' ' NOT NULL,
                                   FORGCLASSID BIGINT DEFAULT 0 NOT NULL,
                                   FID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_WTPM_SIGNCARDAPPLY')
CREATE TABLE T_WTPM_SIGNCARDAPPLY (
                                      FID BIGINT DEFAULT 0 NOT NULL,
                                      FBILLNO VARCHAR(30) DEFAULT ' ' NOT NULL,
                                      FBILLSTATUS VARCHAR(2) DEFAULT ' ' NOT NULL,
                                      FAUDITORID BIGINT DEFAULT 0 NOT NULL,
                                      FAUDITDATE DATETIME,
                                      FBARCODE VARCHAR(60) DEFAULT ' ' NOT NULL,
                                      FISEXISTSWORKFLOW CHAR(1) DEFAULT '0' NOT NULL,
                                      FINPUTDEVICETYPE VARCHAR(100) DEFAULT ' ' NOT NULL,
                                      FAUDITSTATUS VARCHAR(2) DEFAULT ' ' NOT NULL,
                                      FSHIFTBOID BIGINT DEFAULT 0 NOT NULL,
                                      FISSUBMIT CHAR(1) DEFAULT '0' NOT NULL,
                                      FOPENSHIFT CHAR(1) DEFAULT '0' NOT NULL,
                                      FORGID BIGINT DEFAULT 0 NOT NULL,
                                      FISWITHORG CHAR(1) DEFAULT '0' NOT NULL,
                                      FISWITHPERSON CHAR(1) DEFAULT '0' NOT NULL,
                                      FCREATORID BIGINT DEFAULT 0 NOT NULL,
                                      FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
                                      FMODIFYTIME DATETIME,
                                      FCREATETIME DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_WTPM_SUPSIGN')
CREATE TABLE T_WTPM_SUPSIGN (
                                FID BIGINT DEFAULT 0 NOT NULL,
                                FBILLNO VARCHAR(30) DEFAULT ' ' NOT NULL,
                                FBILLSTATUS VARCHAR(2) DEFAULT ' ' NOT NULL,
                                FAUDITORID BIGINT DEFAULT 0 NOT NULL,
                                FAUDITDATE DATETIME,
                                FBARCODE VARCHAR(60) DEFAULT ' ' NOT NULL,
                                FISEXISTSWORKFLOW CHAR(1) DEFAULT '0' NOT NULL,
                                FINPUTDEVICETYPE VARCHAR(100) DEFAULT ' ' NOT NULL,
                                FAUDITSTATUS VARCHAR(2) DEFAULT ' ' NOT NULL,
                                FSHIFTBOID BIGINT DEFAULT 0 NOT NULL,
                                FISSUBMIT CHAR(1) DEFAULT '0' NOT NULL,
                                FORGID BIGINT DEFAULT 0 NOT NULL,
                                FPERSONID BIGINT DEFAULT 0 NOT NULL,
                                FATTFILEID BIGINT DEFAULT 0 NOT NULL,
                                FAPPLYTYPE VARCHAR(2) DEFAULT ' ' NOT NULL,
                                FOPENSHIFT CHAR(1) DEFAULT '0' NOT NULL,
                                FISWITHORG CHAR(1) DEFAULT '0' NOT NULL,
                                FISWITHPERSON CHAR(1) DEFAULT '0' NOT NULL,
                                FCREATORID BIGINT DEFAULT 0 NOT NULL,
                                FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
                                FMODIFYTIME DATETIME,
                                FCREATETIME DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_WTPM_SIGNCARDEXTRA')
CREATE TABLE T_WTPM_SIGNCARDEXTRA (
                                      FENTRYID BIGINT DEFAULT 0 NOT NULL,
                                      FSEQ INT DEFAULT 0 NOT NULL,
                                      FATTPERSONID BIGINT DEFAULT 0 NOT NULL,
                                      FEXTEAATTFILEID BIGINT DEFAULT 0 NOT NULL,
                                      FEMPPOSORGRELID BIGINT DEFAULT 0 NOT NULL,
                                      FID BIGINT DEFAULT 0 NOT NULL,
                                      FEXTRAREMARK NVARCHAR(100) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_WTPM_SIGNCARDINFO')
CREATE TABLE T_WTPM_SIGNCARDINFO (
                                     FID BIGINT DEFAULT 0 NOT NULL,
                                     FSIGNDATE DATETIME,
                                     FSUPPLEWORKTIME INT DEFAULT 0 NOT NULL,
                                     FSIGNPOINT DATETIME,
                                     FAPPLYREASONID BIGINT DEFAULT 0 NOT NULL,
                                     FTIMEZONEID BIGINT DEFAULT 0 NOT NULL,
                                     FACCESSTAG VARCHAR(4) DEFAULT ' ' NOT NULL,
                                     FSOURCEID BIGINT DEFAULT 0 NOT NULL,
                                     FEQUIPMENT VARCHAR(100) DEFAULT ' ' NOT NULL,
                                     FREMARK VARCHAR(100) DEFAULT ' ' NOT NULL,
                                     FBILLID BIGINT DEFAULT 0 NOT NULL,
                                     FPOINTTAG VARCHAR(2) DEFAULT ' ' NOT NULL,
                                     FSEQ INT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_WTPM_SIGNCARDRANGEINFO')
CREATE TABLE T_WTPM_SIGNCARDRANGEINFO (
                                          FENTRYID BIGINT DEFAULT 0 NOT NULL,
                                          FSEQ INT DEFAULT 0 NOT NULL,
                                          FSTARTDATE DATETIME,
                                          FENDDATE DATETIME,
                                          FSUPPLEWORKTIME INT DEFAULT 0 NOT NULL,
                                          FTIMEZONEID BIGINT DEFAULT 0 NOT NULL,
                                          FACCESSTAG VARCHAR(4) DEFAULT ' ' NOT NULL,
                                          FSOURCEID BIGINT DEFAULT 0 NOT NULL,
                                          FEQUIPMENT VARCHAR(100) DEFAULT ' ' NOT NULL,
                                          FREMARK VARCHAR(100) DEFAULT ' ' NOT NULL,
                                          FPOINTTAG VARCHAR(2) DEFAULT ' ' NOT NULL,
                                          FAPPLYREASONID BIGINT DEFAULT 0 NOT NULL,
                                          FID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_WTPM_SUPSIGNBATCHINFO')
CREATE TABLE T_WTPM_SUPSIGNBATCHINFO (
                                         FENTRYID BIGINT DEFAULT 0 NOT NULL,
                                         FSEQ INT DEFAULT 0 NOT NULL,
                                         FSUPPLEWORKTIME INT DEFAULT 0 NOT NULL,
                                         FAPPLYREASONID BIGINT DEFAULT 0 NOT NULL,
                                         FTIMEZONEID BIGINT DEFAULT 0 NOT NULL,
                                         FACCESSTAG VARCHAR(4) DEFAULT ' ' NOT NULL,
                                         FEQUIPMENT VARCHAR(100) DEFAULT ' ' NOT NULL,
                                         FREMARK VARCHAR(100) DEFAULT ' ' NOT NULL,
                                         FSTARTDATE DATETIME,
                                         FENDDATE DATETIME,
                                         FSOURCEID BIGINT DEFAULT 0 NOT NULL,
                                         FPOINTTAG VARCHAR(10) DEFAULT ' ' NOT NULL,
                                         FID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_WTPM_SUPSIGNEXTRA')
CREATE TABLE T_WTPM_SUPSIGNEXTRA (
                                     FENTRYID BIGINT DEFAULT 0 NOT NULL,
                                     FSEQ INT DEFAULT 0 NOT NULL,
                                     FATTPERSONID BIGINT DEFAULT 0 NOT NULL,
                                     FEXTEAATTFILEID BIGINT DEFAULT 0 NOT NULL,
                                     FEMPPOSORGRELID BIGINT DEFAULT 0 NOT NULL,
                                     FID BIGINT DEFAULT 0 NOT NULL,
                                     FEXTRAREMARK NVARCHAR(100) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_WTPM_SUPSIGNINFO')
CREATE TABLE T_WTPM_SUPSIGNINFO (
                                    FENTRYID BIGINT DEFAULT 0 NOT NULL,
                                    FSIGNDATE DATETIME,
                                    FSUPPLEWORKTIME INT DEFAULT 0 NOT NULL,
                                    FAPPLYREASONID BIGINT DEFAULT 0 NOT NULL,
                                    FTIMEZONEID BIGINT DEFAULT 0 NOT NULL,
                                    FACCESSTAG VARCHAR(4) DEFAULT ' ' NOT NULL,
                                    FEQUIPMENT VARCHAR(100) DEFAULT ' ' NOT NULL,
                                    FREMARK VARCHAR(100) DEFAULT ' ' NOT NULL,
                                    FID BIGINT DEFAULT 0 NOT NULL,
                                    FSIGNPOINT DATETIME,
                                    FSOURCEID BIGINT DEFAULT 0 NOT NULL,
                                    FPOINTTAG VARCHAR(2) DEFAULT ' ' NOT NULL,
                                    FATTPOLICYID BIGINT DEFAULT 0 NOT NULL,
                                    FSEQ INT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_WTPM_SIGNCARDLIST')
CREATE TABLE T_WTPM_SIGNCARDLIST (
                                     FID BIGINT DEFAULT 0 NOT NULL,
                                     FBILLNO VARCHAR(30) DEFAULT ' ' NOT NULL,
                                     FBILLSTATUS VARCHAR(2) DEFAULT ' ' NOT NULL,
                                     FAUDITORID BIGINT DEFAULT 0 NOT NULL,
                                     FAUDITDATE DATETIME,
                                     FORGID BIGINT DEFAULT 0 NOT NULL,
                                     FATTPERSONID BIGINT DEFAULT 0 NOT NULL,
                                     FATTFILEID BIGINT DEFAULT 0 NOT NULL,
                                     FCARD VARCHAR(100) DEFAULT ' ' NOT NULL,
                                     FPOSITIONLD BIGINT DEFAULT 0 NOT NULL,
                                     FJOBID BIGINT DEFAULT 0 NOT NULL,
                                     FMANAGINGSCOPEID BIGINT DEFAULT 0 NOT NULL,
                                     FCOMPANYID BIGINT DEFAULT 0 NOT NULL,
                                     FAFFILIATEADMINORGID BIGINT DEFAULT 0 NOT NULL,
                                     FWORKPLACEID BIGINT DEFAULT 0 NOT NULL,
                                     FDEPENDENCYTYPEID BIGINT DEFAULT 0 NOT NULL,
                                     FDEPENDENCYID BIGINT DEFAULT 0 NOT NULL,
                                     FEMPGROUPID BIGINT DEFAULT 0 NOT NULL,
                                     FADMINORGID BIGINT DEFAULT 0 NOT NULL,
                                     FAGREEDLOCATIONID BIGINT DEFAULT 0 NOT NULL,
                                     FBARCODE VARCHAR(60) DEFAULT ' ' NOT NULL,
                                     FINPUTDEVICETYPE VARCHAR(100) DEFAULT ' ' NOT NULL,
                                     FISEXISTSWORKFLOW CHAR(1) DEFAULT '0' NOT NULL,
                                     FAUDITSTATUS VARCHAR(2) DEFAULT ' ' NOT NULL,
                                     FISSUBMIT CHAR(1) DEFAULT '0' NOT NULL,
                                     FSUPSIGNINFOID BIGINT DEFAULT 0 NOT NULL,
                                     FISVALID CHAR(1) DEFAULT '0' NOT NULL,
                                     FISBATCH CHAR(1) DEFAULT '0' NOT NULL,
                                     FBILLID BIGINT DEFAULT 0 NOT NULL,
                                     FISINWORKFLOW CHAR(1) DEFAULT '0' NOT NULL,
                                     FCREATORID BIGINT DEFAULT 0 NOT NULL,
                                     FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
                                     FMODIFYTIME DATETIME,
                                     FCREATETIME DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_WTPM_SUPSIGNLIST')
CREATE TABLE T_WTPM_SUPSIGNLIST (
                                    FID BIGINT DEFAULT 0 NOT NULL,
                                    FBILLNO VARCHAR(30) DEFAULT ' ' NOT NULL,
                                    FBILLSTATUS VARCHAR(2) DEFAULT ' ' NOT NULL,
                                    FAUDITORID BIGINT DEFAULT 0 NOT NULL,
                                    FAUDITDATE DATETIME,
                                    FORGID BIGINT DEFAULT 0 NOT NULL,
                                    FATTPERSONID BIGINT DEFAULT 0 NOT NULL,
                                    FATTFILEID BIGINT DEFAULT 0 NOT NULL,
                                    FCARD VARCHAR(100) DEFAULT ' ' NOT NULL,
                                    FPOSITIONLD BIGINT DEFAULT 0 NOT NULL,
                                    FJOBID BIGINT DEFAULT 0 NOT NULL,
                                    FMANAGINGSCOPEID BIGINT DEFAULT 0 NOT NULL,
                                    FCOMPANYID BIGINT DEFAULT 0 NOT NULL,
                                    FAFFILIATEADMINORGID BIGINT DEFAULT 0 NOT NULL,
                                    FWORKPLACEID BIGINT DEFAULT 0 NOT NULL,
                                    FDEPENDENCYTYPEID BIGINT DEFAULT 0 NOT NULL,
                                    FDEPENDENCYID BIGINT DEFAULT 0 NOT NULL,
                                    FEMPGROUPID BIGINT DEFAULT 0 NOT NULL,
                                    FADMINORGID BIGINT DEFAULT 0 NOT NULL,
                                    FAGREEDLOCATIONID BIGINT DEFAULT 0 NOT NULL,
                                    FISEXISTSWORKFLOW CHAR(1) DEFAULT '0' NOT NULL,
                                    FAUDITSTATUS VARCHAR(2) DEFAULT ' ' NOT NULL,
                                    FISSUBMIT CHAR(1) DEFAULT '0' NOT NULL,
                                    FISBATCH CHAR(1) DEFAULT '0' NOT NULL,
                                    FBILLID BIGINT DEFAULT 0 NOT NULL,
                                    FISINWORKFLOW CHAR(1) DEFAULT '0' NOT NULL,
                                    FSUPSIGNINFOID BIGINT DEFAULT 0 NOT NULL,
                                    FISVALID CHAR(1) DEFAULT '0' NOT NULL,
                                    FCREATORID BIGINT DEFAULT 0 NOT NULL,
                                    FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
                                    FMODIFYTIME DATETIME,
                                    FCREATETIME DATETIME
);


/*IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_WTPM_SUPSIGNRESULT')
CREATE TABLE T_WTPM_SUPSIGNRESULT (
                                      FID BIGINT DEFAULT 0 NOT NULL,
                                      FSIGNDATE DATETIME,
                                      FSUPPLEWORKTIME INT DEFAULT 0 NOT NULL,
                                      FAPPLYREASONID BIGINT DEFAULT 0 NOT NULL,
                                      FERRORMSG VARCHAR(300) DEFAULT ' ' NOT NULL,
                                      FATTFILEID BIGINT DEFAULT 0 NOT NULL,
                                      FPERSONID BIGINT DEFAULT 0 NOT NULL,
                                      FBILLID BIGINT DEFAULT 0 NOT NULL,
                                      FBILLNO VARCHAR(50) DEFAULT ' ' NOT NULL,
                                      FCREATORID BIGINT DEFAULT 0 NOT NULL,
                                      FCREATETIME DATETIME,
                                      FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
                                      FMODIFYTIME DATETIME,
                                      FMSGID BIGINT DEFAULT 0 NOT NULL
);*/


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_WTPM_SUPSIGNTASKLOG')
CREATE TABLE T_WTPM_SUPSIGNTASKLOG (
                                       FID BIGINT DEFAULT 0 NOT NULL,
                                       FBILLNO VARCHAR(100) DEFAULT ' ' NOT NULL,
                                       FOPTYPE VARCHAR(20) DEFAULT ' ' NOT NULL,
                                       FTASKID BIGINT DEFAULT 0 NOT NULL,
                                       FBILLID BIGINT DEFAULT 0 NOT NULL,
                                       FSTARTDATE DATETIME,
                                       FENDDATE DATETIME,
                                       FCREATORID BIGINT DEFAULT 0 NOT NULL,
                                       FCREATETIME DATETIME,
                                       FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
                                       FMODIFYTIME DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_WTPM_SIGNCARDTASKLOG')
CREATE TABLE T_WTPM_SIGNCARDTASKLOG (
                                        FID BIGINT DEFAULT 0 NOT NULL,
                                        FBILLNO VARCHAR(100) DEFAULT ' ' NOT NULL,
                                        FOPTYPE VARCHAR(20) DEFAULT ' ' NOT NULL,
                                        FTASKID BIGINT DEFAULT 0 NOT NULL,
                                        FBILLID BIGINT DEFAULT 0 NOT NULL,
                                        FSTARTDATE DATETIME,
                                        FENDDATE DATETIME,
                                        FCREATORID BIGINT DEFAULT 0 NOT NULL,
                                        FCREATETIME DATETIME,
                                        FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
                                        FMODIFYTIME DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_WTPM_SIGNCARDSUBTASK')
CREATE TABLE T_WTPM_SIGNCARDSUBTASK (
                                        FID BIGINT DEFAULT 0 NOT NULL,
                                        FTASKID BIGINT DEFAULT 0 NOT NULL,
                                        FSTARTDATE DATETIME,
                                        FENDDATE DATETIME,
                                        FSUBTASKSTATUS VARCHAR(20) DEFAULT ' ' NOT NULL,
                                        FREFRESHTIME DATETIME,
                                        FATTFILETOTALCOUNT INT DEFAULT 0 NOT NULL,
                                        FRUNATTFILE INT DEFAULT 0 NOT NULL,
                                        FSUCCEEDATTFILE INT DEFAULT 0 NOT NULL,
                                        FFAILEDATTFILE INT DEFAULT 0 NOT NULL,
                                        FNOTRUNATTFILE INT DEFAULT 0 NOT NULL,
                                        FTOTALATTPERSON INT DEFAULT 0 NOT NULL,
                                        FRUNATTPERSON INT DEFAULT 0 NOT NULL,
                                        FSUCCEEDATTPERSON INT DEFAULT 0 NOT NULL,
                                        FFAILEDATTPERSON INT DEFAULT 0 NOT NULL,
                                        FNOTRUNATTPERSON INT DEFAULT 0 NOT NULL,
                                        FINDEX INT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_WTPM_SUPSIGNTASK_L')
CREATE TABLE T_WTPM_SUPSIGNTASK_L (
                                      FID BIGINT DEFAULT 0 NOT NULL,
                                      FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
                                      FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
                                      FTASKDESC NVARCHAR(50) DEFAULT ' ' NOT NULL,
                                      FNAME NVARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_WTPM_SIGNCARDTASKDETAIL')
CREATE TABLE T_WTPM_SIGNCARDTASKDETAIL (
                                           FID BIGINT DEFAULT 0 NOT NULL,
                                           FTASKID BIGINT DEFAULT 0 NOT NULL,
                                           FSUBTASKID BIGINT DEFAULT 0 NOT NULL,
                                           FATTPERSONID BIGINT DEFAULT 0 NOT NULL,
                                           FATTFILEID BIGINT DEFAULT 0 NOT NULL,
                                           FATTFILEBOID BIGINT DEFAULT 0 NOT NULL,
                                           FATTPERSONJOBID BIGINT DEFAULT 0 NOT NULL,
                                           FATTTAGID BIGINT DEFAULT 0 NOT NULL,
                                           FEXINFO VARCHAR(255) DEFAULT ' ' NOT NULL,
                                           FEXINFO_TAG NCLOB,
                                           FREALCALSTARTDATE DATETIME,
                                           FREALCALENDDATE DATETIME,
                                           FTASKDETAILSTATE VARCHAR(20) DEFAULT ' ' NOT NULL,
                                           FEXCODE VARCHAR(50) DEFAULT ' ' NOT NULL,
                                           FDESC VARCHAR(50) DEFAULT ' ' NOT NULL,
                                           FORGID BIGINT DEFAULT 0 NOT NULL,
                                           FADMINORGID BIGINT DEFAULT 0 NOT NULL,
                                           FPOSITIONLD BIGINT DEFAULT 0 NOT NULL,
                                           FAFFILIATEADMINORGID BIGINT DEFAULT 0 NOT NULL,
                                           FCOMPANYID BIGINT DEFAULT 0 NOT NULL,
                                           FMANAGINGSCOPEID BIGINT DEFAULT 0 NOT NULL,
                                           FJOBID BIGINT DEFAULT 0 NOT NULL,
                                           FEMPGROUPID BIGINT DEFAULT 0 NOT NULL,
                                           FDEPENDENCYID BIGINT DEFAULT 0 NOT NULL,
                                           FDEPENDENCYTYPEID BIGINT DEFAULT 0 NOT NULL,
                                           FWORKPLACEID BIGINT DEFAULT 0 NOT NULL,
                                           FAGREEDLOCATIONID BIGINT DEFAULT 0 NOT NULL,
                                           FTOTAL INT DEFAULT 0 NOT NULL,
                                           FSUCCESS INT DEFAULT 0 NOT NULL,
                                           FFAIL INT DEFAULT 0 NOT NULL,
                                           FMATCHSTATUS VARCHAR(10) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_WTPM_SIGNCARDTASK_L')
CREATE TABLE T_WTPM_SIGNCARDTASK_L (
                                       FID BIGINT DEFAULT 0 NOT NULL,
                                       FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
                                       FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
                                       FTASKDESC NVARCHAR(50) DEFAULT ' ' NOT NULL,
                                       FNAME NVARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_WTPM_SUPSIGNEXDETAIL')
CREATE TABLE T_WTPM_SUPSIGNEXDETAIL (
                                        FID BIGINT DEFAULT 0 NOT NULL,
                                        FTASKDETAILID BIGINT DEFAULT 0 NOT NULL,
                                        FEVADATE DATETIME,
                                        FEXCODE VARCHAR(50) DEFAULT ' ' NOT NULL,
                                        FEXINFO VARCHAR(255) DEFAULT ' ' NOT NULL,
                                        FEXINFO_TAG NCLOB,
                                        FATTFILEID BIGINT DEFAULT 0 NOT NULL,
                                        FTASKID BIGINT DEFAULT 0 NOT NULL,
                                        FSUBTASKID BIGINT DEFAULT 0 NOT NULL,
                                        FSUPPLEWORKTIME INT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_WTPM_SIGNCARDTASK')
CREATE TABLE T_WTPM_SIGNCARDTASK (
                                     FID BIGINT DEFAULT 0 NOT NULL,
                                     FNUMBER VARCHAR(30) DEFAULT ' ' NOT NULL,
                                     FSOURCE VARCHAR(4) DEFAULT ' ' NOT NULL,
                                     FSTARTDATE DATETIME,
                                     FENDDATE DATETIME,
                                     FTASKSTATUS VARCHAR(20) DEFAULT ' ' NOT NULL,
                                     FTIMECOST BIGINT DEFAULT 0 NOT NULL,
                                     FTASKDESC NVARCHAR(50) DEFAULT ' ' NOT NULL,
                                     FTOTALSUBTASK INT DEFAULT 0 NOT NULL,
                                     FFINISHEDSUBTASK INT DEFAULT 0 NOT NULL,
                                     FREFRESHTIME DATETIME,
                                     FPROGRESS DECIMAL(23,10) DEFAULT 0 NOT NULL,
                                     FVERSION VARCHAR(50) DEFAULT ' ' NOT NULL,
                                     FTASKID BIGINT DEFAULT 0 NOT NULL,
                                     FCATEGORY VARCHAR(50) DEFAULT ' ' NOT NULL,
                                     FHASSUBTASK CHAR(1) DEFAULT '0' NOT NULL,
                                     FCALSTARTDATE DATETIME,
                                     FCALENDDATE DATETIME,
                                     FTOTALATTFILE INT DEFAULT 0 NOT NULL,
                                     FRUNATTFILE INT DEFAULT 0 NOT NULL,
                                     FSUCCEEDATTFILE INT DEFAULT 0 NOT NULL,
                                     FFAILEDATTFILE INT DEFAULT 0 NOT NULL,
                                     FNOTRUNATTFILE INT DEFAULT 0 NOT NULL,
                                     FTOTALATTPERSON INT DEFAULT 0 NOT NULL,
                                     FRUNATTPERSON INT DEFAULT 0 NOT NULL,
                                     FSUCCEEDATTPERSON INT DEFAULT 0 NOT NULL,
                                     FFAILEDATTPERSON INT DEFAULT 0 NOT NULL,
                                     FNOTRUNATTPERSON INT DEFAULT 0 NOT NULL,
                                     FMATCHSTATUS VARCHAR(10) DEFAULT ' ' NOT NULL,
                                     FNAME NVARCHAR(50) DEFAULT ' ' NOT NULL,
                                     FSTATUS VARCHAR(2) DEFAULT ' ' NOT NULL,
                                     FENABLE VARCHAR(2) DEFAULT ' ' NOT NULL,
                                     FCREATORID BIGINT DEFAULT 0 NOT NULL,
                                     FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
                                     FCREATETIME DATETIME,
                                     FMODIFYTIME DATETIME,
                                     FMASTERID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_WTPM_SUPSIGNTASK')
CREATE TABLE T_WTPM_SUPSIGNTASK (
                                    FID BIGINT DEFAULT 0 NOT NULL,
                                    FNUMBER VARCHAR(30) DEFAULT ' ' NOT NULL,
                                    FSOURCE VARCHAR(4) DEFAULT ' ' NOT NULL,
                                    FSTARTDATE DATETIME,
                                    FENDDATE DATETIME,
                                    FTASKSTATUS VARCHAR(20) DEFAULT ' ' NOT NULL,
                                    FTIMECOST BIGINT DEFAULT 0 NOT NULL,
                                    FTASKDESC NVARCHAR(50) DEFAULT ' ' NOT NULL,
                                    FTOTALSUBTASK INT DEFAULT 0 NOT NULL,
                                    FFINISHEDSUBTASK INT DEFAULT 0 NOT NULL,
                                    FREFRESHTIME DATETIME,
                                    FPROGRESS DECIMAL(23,10) DEFAULT 0 NOT NULL,
                                    FVERSION VARCHAR(50) DEFAULT ' ' NOT NULL,
                                    FTASKID BIGINT DEFAULT 0 NOT NULL,
                                    FCATEGORY VARCHAR(50) DEFAULT ' ' NOT NULL,
                                    FHASSUBTASK CHAR(1) DEFAULT '0' NOT NULL,
                                    FCALSTARTDATE DATETIME,
                                    FCALENDDATE DATETIME,
                                    FTOTALATTFILE INT DEFAULT 0 NOT NULL,
                                    FRUNATTFILE INT DEFAULT 0 NOT NULL,
                                    FSUCCEEDATTFILE INT DEFAULT 0 NOT NULL,
                                    FFAILEDATTFILE INT DEFAULT 0 NOT NULL,
                                    FNOTRUNATTFILE INT DEFAULT 0 NOT NULL,
                                    FTOTALATTPERSON INT DEFAULT 0 NOT NULL,
                                    FRUNATTPERSON INT DEFAULT 0 NOT NULL,
                                    FSUCCEEDATTPERSON INT DEFAULT 0 NOT NULL,
                                    FFAILEDATTPERSON INT DEFAULT 0 NOT NULL,
                                    FNOTRUNATTPERSON INT DEFAULT 0 NOT NULL,
                                    FMATCHSTATUS VARCHAR(10) DEFAULT ' ' NOT NULL,
                                    FNAME NVARCHAR(50) DEFAULT ' ' NOT NULL,
                                    FSTATUS VARCHAR(2) DEFAULT ' ' NOT NULL,
                                    FENABLE VARCHAR(2) DEFAULT ' ' NOT NULL,
                                    FCREATORID BIGINT DEFAULT 0 NOT NULL,
                                    FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
                                    FCREATETIME DATETIME,
                                    FMODIFYTIME DATETIME,
                                    FMASTERID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_WTPM_SIGNCARDEXDETAIL')
CREATE TABLE T_WTPM_SIGNCARDEXDETAIL (
                                         FID BIGINT DEFAULT 0 NOT NULL,
                                         FTASKDETAILID BIGINT DEFAULT 0 NOT NULL,
                                         FEVADATE DATETIME,
                                         FEXCODE VARCHAR(50) DEFAULT ' ' NOT NULL,
                                         FEXINFO VARCHAR(255) DEFAULT ' ' NOT NULL,
                                         FEXINFO_TAG NCLOB,
                                         FATTFILEID BIGINT DEFAULT 0 NOT NULL,
                                         FTASKID BIGINT DEFAULT 0 NOT NULL,
                                         FSUBTASKID BIGINT DEFAULT 0 NOT NULL,
                                         FSUPPLEWORKTIME INT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_WTPM_SUPSIGNTASKDETAIL')
CREATE TABLE T_WTPM_SUPSIGNTASKDETAIL (
                                          FID BIGINT DEFAULT 0 NOT NULL,
                                          FTASKID BIGINT DEFAULT 0 NOT NULL,
                                          FSUBTASKID BIGINT DEFAULT 0 NOT NULL,
                                          FATTPERSONID BIGINT DEFAULT 0 NOT NULL,
                                          FATTFILEID BIGINT DEFAULT 0 NOT NULL,
                                          FATTFILEBOID BIGINT DEFAULT 0 NOT NULL,
                                          FATTPERSONJOBID BIGINT DEFAULT 0 NOT NULL,
                                          FATTTAGID BIGINT DEFAULT 0 NOT NULL,
                                          FEXINFO VARCHAR(255) DEFAULT ' ' NOT NULL,
                                          FEXINFO_TAG NCLOB,
                                          FREALCALSTARTDATE DATETIME,
                                          FREALCALENDDATE DATETIME,
                                          FTASKDETAILSTATE VARCHAR(20) DEFAULT ' ' NOT NULL,
                                          FEXCODE VARCHAR(50) DEFAULT ' ' NOT NULL,
                                          FDESC VARCHAR(50) DEFAULT ' ' NOT NULL,
                                          FORGID BIGINT DEFAULT 0 NOT NULL,
                                          FADMINORGID BIGINT DEFAULT 0 NOT NULL,
                                          FPOSITIONLD BIGINT DEFAULT 0 NOT NULL,
                                          FAFFILIATEADMINORGID BIGINT DEFAULT 0 NOT NULL,
                                          FCOMPANYID BIGINT DEFAULT 0 NOT NULL,
                                          FMANAGINGSCOPEID BIGINT DEFAULT 0 NOT NULL,
                                          FJOBID BIGINT DEFAULT 0 NOT NULL,
                                          FEMPGROUPID BIGINT DEFAULT 0 NOT NULL,
                                          FDEPENDENCYID BIGINT DEFAULT 0 NOT NULL,
                                          FDEPENDENCYTYPEID BIGINT DEFAULT 0 NOT NULL,
                                          FWORKPLACEID BIGINT DEFAULT 0 NOT NULL,
                                          FAGREEDLOCATIONID BIGINT DEFAULT 0 NOT NULL,
                                          FTOTAL INT DEFAULT 0 NOT NULL,
                                          FSUCCESS INT DEFAULT 0 NOT NULL,
                                          FFAIL INT DEFAULT 0 NOT NULL,
                                          FMATCHSTATUS VARCHAR(10) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_WTPM_SUPSIGNSUBTASK')
CREATE TABLE T_WTPM_SUPSIGNSUBTASK (
                                       FID BIGINT DEFAULT 0 NOT NULL,
                                       FTASKID BIGINT DEFAULT 0 NOT NULL,
                                       FSTARTDATE DATETIME,
                                       FENDDATE DATETIME,
                                       FSUBTASKSTATUS VARCHAR(20) DEFAULT ' ' NOT NULL,
                                       FREFRESHTIME DATETIME,
                                       FATTFILETOTALCOUNT INT DEFAULT 0 NOT NULL,
                                       FRUNATTFILE INT DEFAULT 0 NOT NULL,
                                       FSUCCEEDATTFILE INT DEFAULT 0 NOT NULL,
                                       FFAILEDATTFILE INT DEFAULT 0 NOT NULL,
                                       FNOTRUNATTFILE INT DEFAULT 0 NOT NULL,
                                       FTOTALATTPERSON INT DEFAULT 0 NOT NULL,
                                       FRUNATTPERSON INT DEFAULT 0 NOT NULL,
                                       FSUCCEEDATTPERSON INT DEFAULT 0 NOT NULL,
                                       FFAILEDATTPERSON INT DEFAULT 0 NOT NULL,
                                       FNOTRUNATTPERSON INT DEFAULT 0 NOT NULL,
                                       FINDEX INT DEFAULT 0 NOT NULL
);



/**End D:\PDM_UPGRADE\PDM1\WTPM_table.sql **/


