﻿/**Begin D:\PDM_UPGRADE\PDM1\WTPM_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_WTPM_MATCHRESULT') 
 CREATE TABLE T_WTPM_MATCHRESULT (
FID BIGINT DEFAULT 0 NOT NULL,
FVERSION VARCHAR(50) DEFAULT ' ' NOT NULL,
FTASKID BIGINT DEFAULT 0 NOT NULL,
FSTARTDATE DATETIME,
FENDDATE DATETIME,
FORGID BIGINT DEFAULT 0 NOT NULL,
FDESC NVARCHAR(255) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_WTPM_MATCHTASK') 
 CREATE TABLE T_WTPM_MATCHTASK (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER VARCHAR(30) DEFAULT ' ' NOT NULL,
FSOURCE VARCHAR(10) DEFAULT ' ' NOT NULL,
FSTARTDATE DATETIME,
FENDDATE DATETIME,
FTASKSTATUS VARCHAR(20) DEFAULT ' ' NOT NULL,
FTIMECOST BIGINT DEFAULT 0 NOT NULL,
FTASKDESC NVARCHAR(50) DEFAULT ' ' NOT NULL,
FTOTALSUBTASK INT DEFAULT 0 NOT NULL,
FFINISHEDSUBTASK INT DEFAULT 0 NOT NULL,
FREFRESHTIME DATETIME,
FPROGRESS DECIMAL(23,10) DEFAULT 0 NOT NULL,
FVERSION VARCHAR(50) DEFAULT ' ' NOT NULL,
FTASKID BIGINT DEFAULT 0 NOT NULL,
FCATEGORY VARCHAR(50) DEFAULT ' ' NOT NULL,
FHASSUBTASK CHAR(1) DEFAULT '0' NOT NULL,
FCALSTARTDATE DATETIME,
FCALENDDATE DATETIME,
FTOTALATTFILE INT DEFAULT 0 NOT NULL,
FRUNATTFILE INT DEFAULT 0 NOT NULL,
FSUCCEEDATTFILE INT DEFAULT 0 NOT NULL,
FFAILEDATTFILE INT DEFAULT 0 NOT NULL,
FNOTRUNATTFILE INT DEFAULT 0 NOT NULL,
FTOTALATTPERSON INT DEFAULT 0 NOT NULL,
FRUNATTPERSON INT DEFAULT 0 NOT NULL,
FSUCCEEDATTPERSON INT DEFAULT 0 NOT NULL,
FFAILEDATTPERSON INT DEFAULT 0 NOT NULL,
FNOTRUNATTPERSON INT DEFAULT 0 NOT NULL,
FNAME NVARCHAR(50) DEFAULT ' ' NOT NULL,
FSTATUS VARCHAR(2) DEFAULT ' ' NOT NULL,
FENABLE VARCHAR(2) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FMASTERID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_WTPM_MATCHSUBTASK') 
 CREATE TABLE T_WTPM_MATCHSUBTASK (
FID BIGINT DEFAULT 0 NOT NULL,
FTASKID BIGINT DEFAULT 0 NOT NULL,
FSTARTDATE DATETIME,
FENDDATE DATETIME,
FSUBTASKSTATUS VARCHAR(20) DEFAULT ' ' NOT NULL,
FREFRESHTIME DATETIME,
FATTFILETOTALCOUNT INT DEFAULT 0 NOT NULL,
FRUNATTFILE INT DEFAULT 0 NOT NULL,
FSUCCEEDATTFILE INT DEFAULT 0 NOT NULL,
FFAILEDATTFILE INT DEFAULT 0 NOT NULL,
FNOTRUNATTFILE INT DEFAULT 0 NOT NULL,
FTOTALATTPERSON INT DEFAULT 0 NOT NULL,
FRUNATTPERSON INT DEFAULT 0 NOT NULL,
FSUCCEEDATTPERSON INT DEFAULT 0 NOT NULL,
FFAILEDATTPERSON INT DEFAULT 0 NOT NULL,
FNOTRUNATTPERSON INT DEFAULT 0 NOT NULL,
FINDEX INT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_WTPM_MATCHTASKDETAIL') 
 CREATE TABLE T_WTPM_MATCHTASKDETAIL (
FID BIGINT DEFAULT 0 NOT NULL,
FTASKID BIGINT DEFAULT 0 NOT NULL,
FSUBTASKID BIGINT DEFAULT 0 NOT NULL,
FATTPERSONID BIGINT DEFAULT 0 NOT NULL,
FATTFILEID BIGINT DEFAULT 0 NOT NULL,
FATTFILEBOID BIGINT DEFAULT 0 NOT NULL,
FATTPERSONJOBID BIGINT DEFAULT 0 NOT NULL,
FATTTAGID BIGINT DEFAULT 0 NOT NULL,
FEXINFO VARCHAR(255) DEFAULT ' ' NOT NULL,
FEXINFO_TAG NCLOB,
FREALCALSTARTDATE DATETIME,
FREALCALENDDATE DATETIME,
FTASKDETAILSTATE VARCHAR(20) DEFAULT ' ' NOT NULL,
FEXCODE VARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_WTPM_MATCHEXDETAIL') 
 CREATE TABLE T_WTPM_MATCHEXDETAIL (
FID BIGINT DEFAULT 0 NOT NULL,
FEVADATE DATETIME,
FEXCODE VARCHAR(50) DEFAULT ' ' NOT NULL,
FEXINFO VARCHAR(255) DEFAULT ' ' NOT NULL,
FEXINFO_TAG NCLOB,
FATTFILEID BIGINT DEFAULT 0 NOT NULL,
FTASKID BIGINT DEFAULT 0 NOT NULL
);



/**End D:\PDM_UPGRADE\PDM1\WTPM_table.sql **/
