﻿/**Begin D:\PDM_UPGRADE\PDM1\WTPM_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_WTPM_SUPSIGN' AND KSQL_COL_NAME ='FATTFILEBASEID')
ALTER TABLE T_WTPM_SUPSIGN ADD (FATTFILEBASEID BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_WTPM_SUPSIGNINFO' AND KSQL_COL_NAME ='FEQUIPMENTID')
ALTER TABLE T_WTPM_SUPSIGNINFO ADD (FEQUIPMENTID BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_WTPM_SIGNCARDLIST' AND KSQL_COL_NAME ='FATTFILEVID')
ALTER TABLE T_WTPM_SIGNCARDLIST ADD (FATTFILEVID BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_WTPM_SIGNCARDAPPLY' AND KSQL_COL_NAME ='FISVALID')
ALTER TABLE T_WTPM_SIGNCARDAPPLY ADD (FISVALID CHAR(1) DEFAULT '0' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_WTPM_SIGNCARDRANGEINFO' AND KSQL_COL_NAME ='FSIGNDATE')
ALTER TABLE T_WTPM_SIGNCARDRANGEINFO ADD (FSIGNDATE DATETIME );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_WTPM_SIGNCARDRANGEINFO' AND KSQL_COL_NAME ='FEQUIPMENTID')
ALTER TABLE T_WTPM_SIGNCARDRANGEINFO ADD (FEQUIPMENTID BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_WTPM_SUPSIGNBATCH')
CREATE TABLE T_WTPM_SUPSIGNBATCH (
                                     FID BIGINT DEFAULT 0 NOT NULL,
                                     FBILLNO VARCHAR(30) DEFAULT ' ' NOT NULL,
                                     FBILLSTATUS VARCHAR(2) DEFAULT ' ' NOT NULL,
                                     FAUDITORID BIGINT DEFAULT 0 NOT NULL,
                                     FAUDITDATE DATETIME,
                                     FBARCODE VARCHAR(60) DEFAULT ' ' NOT NULL,
                                     FISEXISTSWORKFLOW CHAR(1) DEFAULT '0' NOT NULL,
                                     FINPUTDEVICETYPE VARCHAR(100) DEFAULT ' ' NOT NULL,
                                     FAUDITSTATUS VARCHAR(2) DEFAULT ' ' NOT NULL,
                                     FISSUBMIT CHAR(1) DEFAULT '0' NOT NULL,
                                     FORGID BIGINT DEFAULT 0 NOT NULL,
                                     FISWITHORG CHAR(1) DEFAULT '0' NOT NULL,
                                     FISWITHPERSON CHAR(1) DEFAULT '0' NOT NULL,
                                     FISVALID CHAR(1) DEFAULT '0' NOT NULL,
                                     FAPPLYTYPE VARCHAR(2) DEFAULT ' ' NOT NULL,
                                     FCREATORID BIGINT DEFAULT 0 NOT NULL,
                                     FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
                                     FMODIFYTIME DATETIME,
                                     FCREATETIME DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_WTPM_SUPSIGNBATCHINFO' AND KSQL_COL_NAME ='FEQUIPMENTID')
ALTER TABLE T_WTPM_SUPSIGNBATCHINFO ADD (FEQUIPMENTID BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_WTPM_SUPSIGNBATCHINFO' AND KSQL_COL_NAME ='FSIGNDATE')
ALTER TABLE T_WTPM_SUPSIGNBATCHINFO ADD (FSIGNDATE DATETIME );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_WTPM_SUPSIGNLIST' AND KSQL_COL_NAME ='FATTFILEVID')
ALTER TABLE T_WTPM_SUPSIGNLIST ADD (FATTFILEVID BIGINT DEFAULT 0 NOT NULL );

/**End D:\PDM_UPGRADE\PDM1\WTPM_table.sql **/
