/**Begin D:\PDM_UPGRADE\PDM1\WTPM_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_WTPM_SIGNCARDLIST' AND KSQL_COL_NAME ='FISVALID')
ALTER TABLE T_WTPM_SIGNCARDLIST ADD (FISVALID CHAR(1) DEFAULT '0' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_WTPM_SUPSIGNLIST' AND KSQL_COL_NAME ='FISVALID')
ALTER TABLE T_WTPM_SUPSIGNLIST ADD (FISVALID CHAR(1) DEFAULT '0' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_WTPM_SUPSIGNTASKLOG')
CREATE TABLE T_WTPM_SUPSIGNTASKLOG (
FID BIGINT DEFAULT 0 NOT NULL,
FBILLNO VARCHAR(100) DEFAULT ' ' NOT NULL,
FOPTYPE VARCHAR(20) DEFAULT ' ' NOT NULL,
FTASKID BIGINT DEFAULT 0 NOT NULL,
FBILLID BIGINT DEFAULT 0 NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_WTPM_SIGNCARDTASKLOG')
CREATE TABLE T_WTPM_SIGNCARDTASKLOG (
FID BIGINT DEFAULT 0 NOT NULL,
FBILLNO VARCHAR(100) DEFAULT ' ' NOT NULL,
FOPTYPE VARCHAR(20) DEFAULT ' ' NOT NULL,
FTASKID BIGINT DEFAULT 0 NOT NULL,
FBILLID BIGINT DEFAULT 0 NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_WTPM_SIGNCARDSUBTASK')
CREATE TABLE T_WTPM_SIGNCARDSUBTASK (
FID BIGINT DEFAULT 0 NOT NULL,
FTASKID BIGINT DEFAULT 0 NOT NULL,
FSTARTDATE DATETIME,
FENDDATE DATETIME,
FSUBTASKSTATUS VARCHAR(20) DEFAULT ' ' NOT NULL,
FREFRESHTIME DATETIME,
FATTFILETOTALCOUNT INT DEFAULT 0 NOT NULL,
FRUNATTFILE INT DEFAULT 0 NOT NULL,
FSUCCEEDATTFILE INT DEFAULT 0 NOT NULL,
FFAILEDATTFILE INT DEFAULT 0 NOT NULL,
FNOTRUNATTFILE INT DEFAULT 0 NOT NULL,
FTOTALATTPERSON INT DEFAULT 0 NOT NULL,
FRUNATTPERSON INT DEFAULT 0 NOT NULL,
FSUCCEEDATTPERSON INT DEFAULT 0 NOT NULL,
FFAILEDATTPERSON INT DEFAULT 0 NOT NULL,
FNOTRUNATTPERSON INT DEFAULT 0 NOT NULL,
FINDEX INT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_WTPM_SUPSIGNTASK_L')
CREATE TABLE T_WTPM_SUPSIGNTASK_L (
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
FTASKDESC NVARCHAR(50) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_WTPM_SIGNCARDTASKDETAIL')
CREATE TABLE T_WTPM_SIGNCARDTASKDETAIL (
FID BIGINT DEFAULT 0 NOT NULL,
FTASKID BIGINT DEFAULT 0 NOT NULL,
FSUBTASKID BIGINT DEFAULT 0 NOT NULL,
FATTPERSONID BIGINT DEFAULT 0 NOT NULL,
FATTFILEID BIGINT DEFAULT 0 NOT NULL,
FATTFILEBOID BIGINT DEFAULT 0 NOT NULL,
FATTPERSONJOBID BIGINT DEFAULT 0 NOT NULL,
FATTTAGID BIGINT DEFAULT 0 NOT NULL,
FEXINFO VARCHAR(255) DEFAULT ' ' NOT NULL,
FEXINFO_TAG NCLOB,
FREALCALSTARTDATE DATETIME,
FREALCALENDDATE DATETIME,
FTASKDETAILSTATE VARCHAR(20) DEFAULT ' ' NOT NULL,
FEXCODE VARCHAR(50) DEFAULT ' ' NOT NULL,
FDESC VARCHAR(50) DEFAULT ' ' NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL,
FADMINORGID BIGINT DEFAULT 0 NOT NULL,
FPOSITIONLD BIGINT DEFAULT 0 NOT NULL,
FAFFILIATEADMINORGID BIGINT DEFAULT 0 NOT NULL,
FCOMPANYID BIGINT DEFAULT 0 NOT NULL,
FMANAGINGSCOPEID BIGINT DEFAULT 0 NOT NULL,
FJOBID BIGINT DEFAULT 0 NOT NULL,
FEMPGROUPID BIGINT DEFAULT 0 NOT NULL,
FDEPENDENCYID BIGINT DEFAULT 0 NOT NULL,
FDEPENDENCYTYPEID BIGINT DEFAULT 0 NOT NULL,
FWORKPLACEID BIGINT DEFAULT 0 NOT NULL,
FAGREEDLOCATIONID BIGINT DEFAULT 0 NOT NULL,
FTOTAL INT DEFAULT 0 NOT NULL,
FSUCCESS INT DEFAULT 0 NOT NULL,
FFAIL INT DEFAULT 0 NOT NULL,
FMATCHSTATUS VARCHAR(10) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_WTPM_SIGNCARDTASK_L')
CREATE TABLE T_WTPM_SIGNCARDTASK_L (
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
FTASKDESC NVARCHAR(50) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_WTPM_SUPSIGNEXDETAIL')
CREATE TABLE T_WTPM_SUPSIGNEXDETAIL (
FID BIGINT DEFAULT 0 NOT NULL,
FTASKDETAILID BIGINT DEFAULT 0 NOT NULL,
FEVADATE DATETIME,
FEXCODE VARCHAR(50) DEFAULT ' ' NOT NULL,
FEXINFO VARCHAR(255) DEFAULT ' ' NOT NULL,
FEXINFO_TAG NCLOB,
FATTFILEID BIGINT DEFAULT 0 NOT NULL,
FTASKID BIGINT DEFAULT 0 NOT NULL,
FSUBTASKID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_WTPM_SIGNCARDTASK')
CREATE TABLE T_WTPM_SIGNCARDTASK (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER VARCHAR(30) DEFAULT ' ' NOT NULL,
FSOURCE VARCHAR(4) DEFAULT ' ' NOT NULL,
FSTARTDATE DATETIME,
FENDDATE DATETIME,
FTASKSTATUS VARCHAR(20) DEFAULT ' ' NOT NULL,
FTIMECOST BIGINT DEFAULT 0 NOT NULL,
FTASKDESC NVARCHAR(50) DEFAULT ' ' NOT NULL,
FTOTALSUBTASK INT DEFAULT 0 NOT NULL,
FFINISHEDSUBTASK INT DEFAULT 0 NOT NULL,
FREFRESHTIME DATETIME,
FPROGRESS DECIMAL(23,10) DEFAULT 0 NOT NULL,
FVERSION VARCHAR(50) DEFAULT ' ' NOT NULL,
FTASKID BIGINT DEFAULT 0 NOT NULL,
FCATEGORY VARCHAR(50) DEFAULT ' ' NOT NULL,
FHASSUBTASK CHAR(1) DEFAULT '0' NOT NULL,
FCALSTARTDATE DATETIME,
FCALENDDATE DATETIME,
FTOTALATTFILE INT DEFAULT 0 NOT NULL,
FRUNATTFILE INT DEFAULT 0 NOT NULL,
FSUCCEEDATTFILE INT DEFAULT 0 NOT NULL,
FFAILEDATTFILE INT DEFAULT 0 NOT NULL,
FNOTRUNATTFILE INT DEFAULT 0 NOT NULL,
FTOTALATTPERSON INT DEFAULT 0 NOT NULL,
FRUNATTPERSON INT DEFAULT 0 NOT NULL,
FSUCCEEDATTPERSON INT DEFAULT 0 NOT NULL,
FFAILEDATTPERSON INT DEFAULT 0 NOT NULL,
FNOTRUNATTPERSON INT DEFAULT 0 NOT NULL,
FMATCHSTATUS VARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(50) DEFAULT ' ' NOT NULL,
FSTATUS VARCHAR(2) DEFAULT ' ' NOT NULL,
FENABLE VARCHAR(2) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FMASTERID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_WTPM_SUPSIGNTASK')
CREATE TABLE T_WTPM_SUPSIGNTASK (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER VARCHAR(30) DEFAULT ' ' NOT NULL,
FSOURCE VARCHAR(4) DEFAULT ' ' NOT NULL,
FSTARTDATE DATETIME,
FENDDATE DATETIME,
FTASKSTATUS VARCHAR(20) DEFAULT ' ' NOT NULL,
FTIMECOST BIGINT DEFAULT 0 NOT NULL,
FTASKDESC NVARCHAR(50) DEFAULT ' ' NOT NULL,
FTOTALSUBTASK INT DEFAULT 0 NOT NULL,
FFINISHEDSUBTASK INT DEFAULT 0 NOT NULL,
FREFRESHTIME DATETIME,
FPROGRESS DECIMAL(23,10) DEFAULT 0 NOT NULL,
FVERSION VARCHAR(50) DEFAULT ' ' NOT NULL,
FTASKID BIGINT DEFAULT 0 NOT NULL,
FCATEGORY VARCHAR(50) DEFAULT ' ' NOT NULL,
FHASSUBTASK CHAR(1) DEFAULT '0' NOT NULL,
FCALSTARTDATE DATETIME,
FCALENDDATE DATETIME,
FTOTALATTFILE INT DEFAULT 0 NOT NULL,
FRUNATTFILE INT DEFAULT 0 NOT NULL,
FSUCCEEDATTFILE INT DEFAULT 0 NOT NULL,
FFAILEDATTFILE INT DEFAULT 0 NOT NULL,
FNOTRUNATTFILE INT DEFAULT 0 NOT NULL,
FTOTALATTPERSON INT DEFAULT 0 NOT NULL,
FRUNATTPERSON INT DEFAULT 0 NOT NULL,
FSUCCEEDATTPERSON INT DEFAULT 0 NOT NULL,
FFAILEDATTPERSON INT DEFAULT 0 NOT NULL,
FNOTRUNATTPERSON INT DEFAULT 0 NOT NULL,
FMATCHSTATUS VARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(50) DEFAULT ' ' NOT NULL,
FSTATUS VARCHAR(2) DEFAULT ' ' NOT NULL,
FENABLE VARCHAR(2) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FMASTERID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_WTPM_SIGNCARDEXDETAIL')
CREATE TABLE T_WTPM_SIGNCARDEXDETAIL (
FID BIGINT DEFAULT 0 NOT NULL,
FTASKDETAILID BIGINT DEFAULT 0 NOT NULL,
FEVADATE DATETIME,
FEXCODE VARCHAR(50) DEFAULT ' ' NOT NULL,
FEXINFO VARCHAR(255) DEFAULT ' ' NOT NULL,
FEXINFO_TAG NCLOB,
FATTFILEID BIGINT DEFAULT 0 NOT NULL,
FTASKID BIGINT DEFAULT 0 NOT NULL,
FSUBTASKID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_WTPM_SUPSIGNTASKDETAIL')
CREATE TABLE T_WTPM_SUPSIGNTASKDETAIL (
FID BIGINT DEFAULT 0 NOT NULL,
FTASKID BIGINT DEFAULT 0 NOT NULL,
FSUBTASKID BIGINT DEFAULT 0 NOT NULL,
FATTPERSONID BIGINT DEFAULT 0 NOT NULL,
FATTFILEID BIGINT DEFAULT 0 NOT NULL,
FATTFILEBOID BIGINT DEFAULT 0 NOT NULL,
FATTPERSONJOBID BIGINT DEFAULT 0 NOT NULL,
FATTTAGID BIGINT DEFAULT 0 NOT NULL,
FEXINFO VARCHAR(255) DEFAULT ' ' NOT NULL,
FEXINFO_TAG NCLOB,
FREALCALSTARTDATE DATETIME,
FREALCALENDDATE DATETIME,
FTASKDETAILSTATE VARCHAR(20) DEFAULT ' ' NOT NULL,
FEXCODE VARCHAR(50) DEFAULT ' ' NOT NULL,
FDESC VARCHAR(50) DEFAULT ' ' NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL,
FADMINORGID BIGINT DEFAULT 0 NOT NULL,
FPOSITIONLD BIGINT DEFAULT 0 NOT NULL,
FAFFILIATEADMINORGID BIGINT DEFAULT 0 NOT NULL,
FCOMPANYID BIGINT DEFAULT 0 NOT NULL,
FMANAGINGSCOPEID BIGINT DEFAULT 0 NOT NULL,
FJOBID BIGINT DEFAULT 0 NOT NULL,
FEMPGROUPID BIGINT DEFAULT 0 NOT NULL,
FDEPENDENCYID BIGINT DEFAULT 0 NOT NULL,
FDEPENDENCYTYPEID BIGINT DEFAULT 0 NOT NULL,
FWORKPLACEID BIGINT DEFAULT 0 NOT NULL,
FAGREEDLOCATIONID BIGINT DEFAULT 0 NOT NULL,
FTOTAL INT DEFAULT 0 NOT NULL,
FSUCCESS INT DEFAULT 0 NOT NULL,
FFAIL INT DEFAULT 0 NOT NULL,
FMATCHSTATUS VARCHAR(10) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_WTPM_SUPSIGNSUBTASK')
CREATE TABLE T_WTPM_SUPSIGNSUBTASK (
FID BIGINT DEFAULT 0 NOT NULL,
FTASKID BIGINT DEFAULT 0 NOT NULL,
FSTARTDATE DATETIME,
FENDDATE DATETIME,
FSUBTASKSTATUS VARCHAR(20) DEFAULT ' ' NOT NULL,
FREFRESHTIME DATETIME,
FATTFILETOTALCOUNT INT DEFAULT 0 NOT NULL,
FRUNATTFILE INT DEFAULT 0 NOT NULL,
FSUCCEEDATTFILE INT DEFAULT 0 NOT NULL,
FFAILEDATTFILE INT DEFAULT 0 NOT NULL,
FNOTRUNATTFILE INT DEFAULT 0 NOT NULL,
FTOTALATTPERSON INT DEFAULT 0 NOT NULL,
FRUNATTPERSON INT DEFAULT 0 NOT NULL,
FSUCCEEDATTPERSON INT DEFAULT 0 NOT NULL,
FFAILEDATTPERSON INT DEFAULT 0 NOT NULL,
FNOTRUNATTPERSON INT DEFAULT 0 NOT NULL,
FINDEX INT DEFAULT 0 NOT NULL
);
/**End D:\PDM_UPGRADE\PDM1\WTPM_table.sql **/
