﻿/**Begin D:\PDM_UPGRADE\PDM1\WTPM_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_WTPM_SUPSIGNBATCH' AND KSQL_COL_NAME ='FBATCHSUPTYPE') 
 ALTER TABLE T_WTPM_SUPSIGNBATCH ADD (FBATCHSUPTYPE VARCHAR(4) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_WTPM_SUPSIGNTASKLOG' AND KSQL_COL_NAME ='FORGID') 
 ALTER TABLE T_WTPM_SUPSIGNTASKLOG ADD (FORGID BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_WTPM_SUPSIGNMULTIPRI') 
 CREATE TABLE T_WTPM_SUPSIGNMULTIPRI (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FSIGNDATE DATETIME,
FSUPPLEWORKTIME INT DEFAULT 0 NOT NULL,
FAPPLYREASONID BIGINT DEFAULT 0 NOT NULL,
FTIMEZONEID BIGINT DEFAULT 0 NOT NULL,
FACCESSTAG VARCHAR(10) DEFAULT ' ' NOT NULL,
FPOINTTAG VARCHAR(4) DEFAULT ' ' NOT NULL,
FSOURCEID BIGINT DEFAULT 0 NOT NULL,
FEQUIPMENTID BIGINT DEFAULT 0 NOT NULL,
FREMARK VARCHAR(300) DEFAULT ' ' NOT NULL,
FATTFILEID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL
);

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_WTPM_SIGNCARDGENEX')
CREATE TABLE T_WTPM_SIGNCARDGENEX (
FID BIGINT DEFAULT 0 NOT NULL,
FBILLID BIGINT DEFAULT 0 NOT NULL,
FBILLTYPE VARCHAR(4) DEFAULT ' ' NOT NULL,
FEXCEPTION VARCHAR(255) DEFAULT ' ' NOT NULL,
FEXCEPTION_TAG NCLOB,
FCOUNT INT DEFAULT 0 NOT NULL,
FTRACEID VARCHAR(50) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_WTPM_SIGNCARDTASKLOG' AND KSQL_COL_NAME ='FORGID') 
 ALTER TABLE T_WTPM_SIGNCARDTASKLOG ADD (FORGID BIGINT DEFAULT 0 NOT NULL );

/**End D:\PDM_UPGRADE\PDM1\WTPM_table.sql **/
